#version 330 core

in vec2 uv;

out vec4 color; 

uniform sampler2D original;
uniform sampler2D blurred;

void main(){
	float threshold = 0.4;
	vec3 c = texture(blurred, uv).rgb;
	vec3 c1 = texture(original, uv).rgb;
	//color = texture(blurred, uv);
	//if ((c.r + c.g + c.b)/3 > threshold) {
	//	color = vec4(c, 1);
	//} else {
	//	color = vec4(0, 0, 0, 1);
	//}
	
	color = vec4(c+c1, 1);
}